Download it now!
Bug 107601 - Rename Data > Statistics > "t-test" to "paired t-test"
Summary: Rename Data > Statistics > "t-test" to "paired t-test"
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
unspecified
Hardware: All All
: lowest trivial
Assignee: Heiko Tietze
URL:
Whiteboard: target:6.1.0 target:6.0.0.1
Keywords:
Depends on: 114248
Blocks: Main-Menu Data-Statistics
  Show dependency treegraph
 
Reported: 2017-05-03 15:24 UTC by Juan Vidal-Puga
Modified: 2017-12-11 15:31 UTC (History)
8 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Juan Vidal-Puga 2017-05-03 15:24:21 UTC
The menu is called "t test" and it seems as if it performed any type of t tests. It even asks for two sets of data without warning that they should be of the same size. The results include the size of each set, but the p-values are incorrect when the data is not paired.
The bug is easily fixed by renaming the option as "paired t test" instead of simply "t test".
Comment 1 Buovjaga 2017-05-07 09:51:21 UTC
OK -> NEW

What about the F and z tests? Should they also be named paired?
Comment 2 Thomas Lendo 2017-07-23 21:24:22 UTC
Adding keyword needsUXeval.
Comment 3 Heiko Tietze 2017-07-24 19:19:44 UTC
That's not a UX question but pure statistics (https://en.wikipedia.org/wiki/Student%27s_t-test#Unpaired_and_paired_two-sample_t-tests). We should make it at least/additionally clear in the help. Adding Olivier.
Comment 4 Yousuf Philips (jay) (retired) 2017-11-28 18:32:42 UTC
Here is the help link for it.

https://help.libreoffice.org/Calc/Data_Statistics_in_Calc#t-test

Stuart, Cor, Eike: thoughts whether this should be renamed?
Comment 5 Heiko Tietze 2017-11-28 19:33:17 UTC
Patch successfully compiled https://gerrit.libreoffice.org/#/c/45393/

(t-tests can be paired or unpaired https://en.wikipedia.org/wiki/Student%27s_t-test#Unpaired_and_paired_two-sample_t-tests, the difference is important in statistics)
Comment 6 Heiko Tietze 2017-11-30 14:26:33 UTC
/done
Comment 7 Commit Notification 2017-12-04 19:46:21 UTC
Heiko Tietze committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=7ace16688c503795a5af0c82b63856b1e737aa87

tdf#107601 Rename t-test to paired t-test

It will be available in 6.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 8 Commit Notification 2017-12-05 10:37:25 UTC
Heiko Tietze committed a patch related to this issue.
It has been pushed to "libreoffice-6-0":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=2d6068e2746d5d94cb8732fd12d0f241223f278d&h=libreoffice-6-0

tdf#107601 Rename t-test to paired t-test

It will be available in 6.0.0.1.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 9 Commit Notification 2017-12-11 15:30:56 UTC
Olivier Hallot committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/help/commit/?id=9e89f79476859a19c376f0fdf029cc0600a39179

tdf#107601 rename t-test to Paired t-test in Help
Comment 10 Commit Notification 2017-12-11 15:31:05 UTC
Olivier Hallot committed a patch related to this issue.
It has been pushed to "libreoffice-6-0":

http://cgit.freedesktop.org/libreoffice/help/commit/?id=e741601dd05236be0f9412d8ba5df5314256d3c4&h=libreoffice-6-0

tdf#107601 rename t-test to Paired t-test in Help